{% extends "base.twig" %}

{% block content %}
<section class="contain-banner">
    <div class="container">
        <div class="thumb margin-t-20">
            {% if options.post_banner.image %} 
                <a href="{{options.post_banner.link}}">
                    <img src="{{options.post_banner.image}}" 
                        title="banner"
                        alt="banner"
                    />
                </a>
            {% endif %}
        </div>
    </div>
</section>
{% include "partial/breadcrumb.twig" %}
<section class="main-content padding-small padding-t-0">
  <div class="container">
    <div class="flat-services">
      <div class="row">
        <div class="col-md-12">
          <div class="title-section style2">
            <h1 class="title margin-t-0">{{title}}</h1>
            <div class="flat-portfolio v1">
              <ul class="portfolio-filter text-center">
                {% for term in fn('get_cat_list') %}
                  <li {% if term_id == term.term_id %}class="active"{% endif %}><a href="{{Term(term.term_id).link}}">{{term.name}}</a></li>
                {% endfor %}
              </ul>
            </div>
          </div>
          <div class="services-post">
            {% for post in posts %}
            <div class="item">
              <div class="thumb-item">
                <a href="{{ post.link }}">
                  <img {% if post.thumbnail %} src="{{ Image(post.thumbnail).src | tojpg | resize(350, 200) }}"
                    {% else %} src="{{ Image(options.default_thumbnail).src | tojpg | resize(350, 200) }}" {% endif %}
                    alt="{{ post.title }}"></a>
                {# <div class="overlay"></div> #}
              </div>
              <div class="post">
                <h1 class="title"><a href="{{post.link}}">{{post.title}}</a></h1>
                {{ post.date }}
                <p> {{ post.get_preview(18, true, __('', '')) }}</p>
                <a href="{{post.link}}" class="comment-reply">Xem thêm<i class="fa fa-chevron-right"></i></a>
              </div>
            </div>
            {% endfor %}
          </div>
        </div>
      </div>
      <div class="blog-pagination">
        {% include 'partial/pagination.twig' with { pagination : posts.pagination({show_all: false, mid_size: 1, end_size: 2}) } %}
      </div>
    </div>
  </div>
</section>
{% endblock %}